using System;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data;
using System.Data.SqlClient;

public class Customer
{
    private static string strConn;

    static Customer()
    {
        strConn = "data source=.;initial catalog=northwind;user id=sa;password=sa";
    }

    public static DataSet Select(string orderby,int startRowIndex, int maximumRows)
    {
        if (orderby == "")
        {
            orderby = "customerid";
        }
        SqlConnection cnn = new SqlConnection(strConn);
        SqlCommand cmd = new SqlCommand();
        cmd.Connection = cnn;
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.CommandText = "GetCustomers";
        SqlParameter p1 = new SqlParameter("@orderby", orderby);
        SqlParameter p2 = new SqlParameter("@startrow", startRowIndex);
        SqlParameter p3 = new SqlParameter("@pagesize", maximumRows);
        cmd.Parameters.Add(p1);
        cmd.Parameters.Add(p2);
        cmd.Parameters.Add(p3);

        SqlDataAdapter da = new SqlDataAdapter();
        da.SelectCommand = cmd;
        DataSet ds = new DataSet();
        da.Fill(ds);
        return ds;
    }

    public static int GetCustomerCount(string orderby,int startRowIndex, int maximumRows)
    {
        SqlConnection cnn = new SqlConnection(strConn);
        SqlCommand cmd = new SqlCommand();
        cmd.Connection = cnn;
        cmd.CommandType = CommandType.StoredProcedure;
        cmd.CommandText = "GetCustomerCount";
        cnn.Open();
        object obj = cmd.ExecuteScalar();
        cnn.Close();
        return Convert.ToInt32(obj);
    }

}
